%Author: Serge Shikher, Suffolk University.
%This program accompanies Shikher, S. "Capital, technology, and specialization in the neoclassical model".

%This simulation increases technology parameter(s)

function results=run_cf_T(base)

ichange=[0]; %not used in this simulation
changefactor=[1.2]; %proportion by which the parameter will be changed

for cfindex=1:length(changefactor)
    for nchange=1:1 %target country for parameter change
        for jchange=1:1 %target industry for parameter change
            dsname=base.name;
            name=sprintf('T_increase_in_%d_of_%d',jchange,nchange);
            simtype='T';
            descrip=sprintf('Increasing technology parameter in industry %d of country %d by a factor of %g',jchange,nchange,changefactor(cfindex));
            results(nchange,jchange,cfindex)=cf(simtype,name,descrip,dsname,nchange,ichange,jchange,changefactor(cfindex),base);
        end;
    end;
end;
