%Author: Serge Shikher, Suffolk University.
%This program accompanies Shikher, S. "Capital, technology, and specialization in the neoclassical model".

%This simulation increases capital stock in a country by a given factor

function results=run_cf_Kn(base)

ichange=[0]; %not used in this simulation
jchange=[0]; %not used in this simulation
changefactor=[1.2]; %list of factors by which the capital stock will be changed

for nchange=[1:1]
    for cfindex=1:length(changefactor)
        dsname=base.name;
        name=sprintf('Kn_increase_in_%d',nchange);
        descrip=sprintf('Increasing capital stock in country %d by a factor of %g',nchange,changefactor(cfindex));        
        simtype='Kn';
        results(nchange,cfindex)=cf(simtype,name,descrip,dsname,nchange,ichange,jchange,changefactor(cfindex),base);
    end;
end;
